Developer fees

Get developer fee balance

Check your accumulated developer fee balance.

GET
/api/v2/developer-fees

Returns your organization's current developer fee balance. This balance accumulates from fees charged on customer deposits and can be claimed to your organization's wallet.

Authorization

bearerAuth
AuthorizationBearer <token>

Organization API key obtained on Settings > API Keys page in Compose UI.

In: header

Response Body

application/json

application/json

application/json

curl -X GET 'https://compose.finance/api/v2/developer-fees' \  -H 'Authorization: Bearer YOUR_API_KEY'

{
  "balance": "1250.50",
  "pendingClaims": "0",
  "availableBalance": "1250.50",
  "currencyId": "usdc_base",
  "currency": "usdc"
}

{
  "error": "Unauthorized - Invalid or missing API key or session"
}
{
  "error": "Invalid request data"
}